
<!doctype html>
<html class="no-js" lang="en-US" >
<head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <meta name="google-site-verification" content="jIM00F9OIh2n9zdPLCym0B2wd69JsJHG2Hyzs7Dqvp4"/>
    <!-- Google Analytics -->
    <script>
        (function (i, s, o, g, r, a, m) {
            i['GoogleAnalyticsObject'] = r;
            i[r] = i[r] || function () {
                (i[r].q = i[r].q || []).push(arguments)
            }, i[r].l = 1 * new Date();
            a = s.createElement(o),
                m = s.getElementsByTagName(o)[0];
            a.async = 1;
            a.src = g;
            m.parentNode.insertBefore(a, m)
        })(window, document, 'script', 'https://www.google-analytics.com/analytics.js', 'ga');

        ga('create', 'UA-74524677-1', 'auto');
        ga('send', 'pageview');
    </script>
    <!-- End Google Analytics -->
    <link rel="icon" href="https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/themes/CFAD/assets/images/icons/favicon.ico"
          type="image/x-icon">
    <link rel="apple-touch-icon-precomposed" sizes="144x144"
          href="https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/themes/CFAD/assets/images/icons/apple-touch-icon-144x144-precomposed.png">
    <link rel="apple-touch-icon-precomposed" sizes="114x114"
          href="https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/themes/CFAD/assets/images/icons/apple-touch-icon-114x114-precomposed.png">
    <link rel="apple-touch-icon-precomposed" sizes="72x72"
          href="https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/themes/CFAD/assets/images/icons/apple-touch-icon-72x72-precomposed.png">
    <link rel="apple-touch-icon-precomposed"
          href="https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/themes/CFAD/assets/images/icons/apple-touch-icon-precomposed.png">
    <meta name='robots' content='index, follow, max-image-preview:large, max-snippet:-1, max-video-preview:-1' />

<!-- Google Tag Manager for WordPress by gtm4wp.com -->
<script data-cfasync="false" data-pagespeed-no-defer>//<![CDATA[
	var gtm4wp_datalayer_name = "dataLayer";
	var dataLayer = dataLayer || [];
//]]>
</script>
<!-- End Google Tag Manager for WordPress by gtm4wp.com -->
	<!-- This site is optimized with the Yoast SEO plugin v17.7.1 - https://yoast.com/wordpress/plugins/seo/ -->
	<title>Center for Advanced Dentistry | Auburn &amp; Lewiston, ME | Dental Services</title>
	<meta name="description" content="The Center for Advanced Dentistry is your go-to source for dental services in the Turner and Freeport, ME area. Call our office today to make an appointment!" />
	<link rel="canonical" href="https://auburndental.com/" />
	<meta property="og:locale" content="en_US" />
	<meta property="og:type" content="website" />
	<meta property="og:title" content="Center for Advanced Dentistry | Auburn &amp; Lewiston, ME | Dental Services" />
	<meta property="og:description" content="The Center for Advanced Dentistry is your go-to source for dental services in the Turner and Freeport, ME area. Call our office today to make an appointment!" />
	<meta property="og:url" content="https://auburndental.com/" />
	<meta property="og:site_name" content="Center for Advanced Dentistry" />
	<meta property="article:modified_time" content="2024-02-01T17:15:22+00:00" />
	<meta name="twitter:card" content="summary" />
	<meta name="twitter:label1" content="Est. reading time" />
	<meta name="twitter:data1" content="4 minutes" />
	<script type="application/ld+json" class="yoast-schema-graph">{"@context":"https://schema.org","@graph":[{"@type":"WebSite","@id":"https://auburndental.com/#website","url":"https://auburndental.com/","name":"Center for Advanced Dentistry","description":"","potentialAction":[{"@type":"SearchAction","target":{"@type":"EntryPoint","urlTemplate":"https://auburndental.com/?s={search_term_string}"},"query-input":"required name=search_term_string"}],"inLanguage":"en-US"},{"@type":"WebPage","@id":"https://auburndental.com/#webpage","url":"https://auburndental.com/","name":"Center for Advanced Dentistry | Auburn & Lewiston, ME | Dental Services","isPartOf":{"@id":"https://auburndental.com/#website"},"datePublished":"2016-01-07T21:06:45+00:00","dateModified":"2024-02-01T17:15:22+00:00","description":"The Center for Advanced Dentistry is your go-to source for dental services in the Turner and Freeport, ME area. Call our office today to make an appointment!","breadcrumb":{"@id":"https://auburndental.com/#breadcrumb"},"inLanguage":"en-US","potentialAction":[{"@type":"ReadAction","target":["https://auburndental.com/"]}]},{"@type":"BreadcrumbList","@id":"https://auburndental.com/#breadcrumb","itemListElement":[{"@type":"ListItem","position":1,"name":"Home"}]}]}</script>
	<!-- / Yoast SEO plugin. -->


<link rel='dns-prefetch' href='//ajax.googleapis.com' />
<link rel='dns-prefetch' href='//s.w.org' />
		<!-- This site uses the Google Analytics by ExactMetrics plugin v7.10.0 - Using Analytics tracking - https://www.exactmetrics.com/ -->
		<!-- Note: ExactMetrics is not currently configured on this site. The site owner needs to authenticate with Google Analytics in the ExactMetrics settings panel. -->
					<!-- No UA code set -->
				<!-- / Google Analytics by ExactMetrics -->
		<link rel='stylesheet' id='dashicons-css'  href='https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-includes/css/dashicons.min.css?ver=5.8.9' type='text/css' media='all' />
<link rel='stylesheet' id='menu-icons-extra-css'  href='https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/plugins/menu-icons/css/extra.min.css?ver=0.12.9' type='text/css' media='all' />
<link rel='stylesheet' id='wp-block-library-css'  href='https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-includes/css/dist/block-library/style.min.css?ver=5.8.9' type='text/css' media='all' />
<link rel='stylesheet' id='main-stylesheet-css'  href='https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/themes/CFAD/assets/stylesheets/foundation.css?ver=2.3.0' type='text/css' media='all' />
<link rel='stylesheet' id='new-royalslider-core-css-css'  href='https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/plugins/new-royalslider/lib/royalslider/royalslider.css?ver=3.3.0' type='text/css' media='all' />
<link rel='stylesheet' id='rsUni-css-css'  href='https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/plugins/new-royalslider/lib/royalslider/skins/universal/rs-universal.css?ver=3.3.0' type='text/css' media='all' />
<link rel='stylesheet' id='js_composer_front-css'  href='https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/plugins/js_composer/assets/css/js_composer.min.css?ver=4.12' type='text/css' media='all' />
<link rel='stylesheet' id='gforms_reset_css-css'  href='https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/plugins/gravityforms/legacy/css/formreset.min.css?ver=2.8.0' type='text/css' media='all' />
<link rel='stylesheet' id='gforms_formsmain_css-css'  href='https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/plugins/gravityforms/legacy/css/formsmain.min.css?ver=2.8.0' type='text/css' media='all' />
<link rel='stylesheet' id='gforms_ready_class_css-css'  href='https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/plugins/gravityforms/legacy/css/readyclass.min.css?ver=2.8.0' type='text/css' media='all' />
<link rel='stylesheet' id='gforms_browsers_css-css'  href='https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/plugins/gravityforms/legacy/css/browsers.min.css?ver=2.8.0' type='text/css' media='all' />
<script type='text/javascript' src='//ajax.googleapis.com/ajax/libs/jquery/2.1.0/jquery.min.js?ver=2.1.0' id='jquery-js'></script>
<script type='text/javascript' src='https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/plugins/duracelltomi-google-tag-manager/js/gtm4wp-form-move-tracker.js?ver=1.13.1' id='gtm4wp-form-move-tracker-js'></script>
<script type='text/javascript' defer='defer' src='https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/plugins/gravityforms/js/jquery.json.min.js?ver=2.8.0' id='gform_json-js'></script>
<script type='text/javascript' id='gform_gravityforms-js-extra'>
/* <![CDATA[ */
var gf_global = {"gf_currency_config":{"name":"U.S. Dollar","symbol_left":"$","symbol_right":"","symbol_padding":"","thousand_separator":",","decimal_separator":".","decimals":2,"code":"USD"},"base_url":"https:\/\/auburndental.com\/wp-content\/plugins\/gravityforms","number_formats":[],"spinnerUrl":"https:\/\/auburndental.com\/wp-content\/plugins\/gravityforms\/images\/spinner.svg","version_hash":"6b82800f1c28b54116c3df372785c676","strings":{"newRowAdded":"New row added.","rowRemoved":"Row removed","formSaved":"The form has been saved.  The content contains the link to return and complete the form."}};
var gform_i18n = {"datepicker":{"days":{"monday":"Mo","tuesday":"Tu","wednesday":"We","thursday":"Th","friday":"Fr","saturday":"Sa","sunday":"Su"},"months":{"january":"January","february":"February","march":"March","april":"April","may":"May","june":"June","july":"July","august":"August","september":"September","october":"October","november":"November","december":"December"},"firstDay":1,"iconText":"Select date"}};
var gf_legacy_multi = {"1":"1"};
var gform_gravityforms = {"strings":{"invalid_file_extension":"This type of file is not allowed. Must be one of the following:","delete_file":"Delete this file","in_progress":"in progress","file_exceeds_limit":"File exceeds size limit","illegal_extension":"This type of file is not allowed.","max_reached":"Maximum number of files reached","unknown_error":"There was a problem while saving the file on the server","currently_uploading":"Please wait for the uploading to complete","cancel":"Cancel","cancel_upload":"Cancel this upload","cancelled":"Cancelled"},"vars":{"images_url":"https:\/\/auburndental.com\/wp-content\/plugins\/gravityforms\/images"}};
/* ]]> */
</script>
<script type='text/javascript' id='gform_gravityforms-js-before'>

</script>
<script type='text/javascript' defer='defer' src='https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/plugins/gravityforms/js/gravityforms.min.js?ver=2.8.0' id='gform_gravityforms-js'></script>
<script type='text/javascript' defer='defer' src='https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/plugins/gravityforms/assets/js/dist/utils.min.js?ver=59d951b75d934ae23e0ea7f9776264aa' id='gform_gravityforms_utils-js'></script>
<link rel="https://api.w.org/" href="https://auburndental.com/wp-json/" /><link rel="alternate" type="application/json" href="https://auburndental.com/wp-json/wp/v2/pages/5" /><link rel="alternate" type="application/json+oembed" href="https://auburndental.com/wp-json/oembed/1.0/embed?url=https%3A%2F%2Fauburndental.com%2F" />
<link rel="alternate" type="text/xml+oembed" href="https://auburndental.com/wp-json/oembed/1.0/embed?url=https%3A%2F%2Fauburndental.com%2F&#038;format=xml" />
            <script async src="https://www.googletagmanager.com/gtag/js?id=TAG_ID"></script>
            <script>
                window.dataLayer = window.dataLayer || [];
                function gtag() {
                    dataLayer.push(arguments);
                }
                var tracking_ids = ["G-3KT4C16M4V"];
                var site_id = '20591055401ef4e7303c2609dd4d4268b261cf90939417e4b80c42ceef8c83f2';
                gtag('js', new Date());
                for (var i = 0; i < tracking_ids.length; i++) {
                    gtag('event', 'page_view', {'send_to': tracking_ids[i],'dimension1': site_id});
                    gtag('event', 'first_visit', {'send_to': tracking_ids[i],'dimension1': site_id});
                    gtag('event', 'engaged_sessions', {'send_to': tracking_ids[i],'dimension1': site_id});
                    gtag('set', {'siteSpeedSampleRate': 50});
                }
            </script>
<!-- Google Tag Manager for WordPress by gtm4wp.com -->
<script data-cfasync="false" data-pagespeed-no-defer>//<![CDATA[
	var dataLayer_content = {"pagePostType":"frontpage","pagePostType2":"single-page","pagePostAuthor":"adibb"};
	dataLayer.push( dataLayer_content );//]]>
</script>
<script data-cfasync="false">//<![CDATA[
(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
'//www.googletagmanager.com/gtm.'+'js?id='+i+dl;f.parentNode.insertBefore(j,f);
})(window,document,'script','dataLayer','GTM-5TVC8R');//]]>
</script>
<!-- End Google Tag Manager -->
<!-- End Google Tag Manager for WordPress by gtm4wp.com --><meta name="generator" content="Powered by Visual Composer - drag and drop page builder for WordPress."/>
<!--[if lte IE 9]><link rel="stylesheet" type="text/css" href="https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/plugins/js_composer/assets/css/vc_lte_ie9.min.css" media="screen"><![endif]--><!--[if IE  8]><link rel="stylesheet" type="text/css" href="https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/plugins/js_composer/assets/css/vc-ie8.min.css" media="screen"><![endif]--><style type="text/css">
	span.oe_textdirection { unicode-bidi: bidi-override; direction: rtl; }
	span.oe_displaynone { display: none; }
</style>
<link rel="icon" href="https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/uploads/2016/01/cropped-cfad-icon-32x32.png" sizes="32x32" />
<link rel="icon" href="https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/uploads/2016/01/cropped-cfad-icon-192x192.png" sizes="192x192" />
<link rel="apple-touch-icon" href="https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/uploads/2016/01/cropped-cfad-icon-180x180.png" />
<meta name="msapplication-TileImage" content="https://auburndental.com/wp-content/uploads/2016/01/cropped-cfad-icon-270x270.png" />
		<style type="text/css" id="wp-custom-css">
			.ct-text-row .vc_column_container {
	margin-bottom: 25px;
}
.ct-text-row .vc_column-inner {
	background: #ffffff;
	margin: 0 5px;
	padding: 15px;
	border-radius: 10px;
	box-shadow: rgb(0 0 0 / 25%) 0 3px 11px 0;
	height: 100%;
}

.ct-test-box {
	margin-bottom: 0px;
}

.ct-test-box img {
	width: 120px;
	margin-bottom:10px;
}

@media only screen and (max-width: 767px){
	.ct-text-row .vc_column-inner {
		margin: 0 15px;
	}
}		</style>
		<style type="text/css" data-type="vc_shortcodes-custom-css">.vc_custom_1452721606342{margin-top: -3% !important;padding-top: 1% !important;padding-bottom: 3% !important;background-color: #f5f3ed !important;}.vc_custom_1474906792872{padding-top: 3% !important;padding-bottom: 3% !important;background-image: url(https://auburndental.com/wp-content/uploads/2016/01/cfad-polygon-bg.png?id=99) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}.vc_custom_1456420559466{margin-bottom: 0px !important;}.vc_custom_1456420589131{margin-bottom: 0px !important;}.vc_custom_1456420597314{margin-bottom: 0px !important;}.vc_custom_1452793397463{margin-top: 35px !important;}.vc_custom_1474906811736{background-image: url(https://auburndental.com/wp-content/uploads/2016/01/FAQ-bg.png?id=104) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}.vc_custom_1452548640147{padding-right: 15% !important;padding-left: 5% !important;}.vc_custom_1558373086197{margin-top: 25px !important;}</style><noscript><style type="text/css"> .wpb_animate_when_almost_visible { opacity: 1; }</style></noscript>    <meta http-equiv="X-UA-Compatible" content="IE=edge">
<script type="text/javascript">
var gform;gform||(document.addEventListener("gform_main_scripts_loaded",function(){gform.scriptsLoaded=!0}),window.addEventListener("DOMContentLoaded",function(){gform.domLoaded=!0}),gform={domLoaded:!1,scriptsLoaded:!1,initializeOnLoaded:function(o){gform.domLoaded&&gform.scriptsLoaded?o():!gform.domLoaded&&gform.scriptsLoaded?window.addEventListener("DOMContentLoaded",o):document.addEventListener("gform_main_scripts_loaded",o)},hooks:{action:{},filter:{}},addAction:function(o,n,r,t){gform.addHook("action",o,n,r,t)},addFilter:function(o,n,r,t){gform.addHook("filter",o,n,r,t)},doAction:function(o){gform.doHook("action",o,arguments)},applyFilters:function(o){return gform.doHook("filter",o,arguments)},removeAction:function(o,n){gform.removeHook("action",o,n)},removeFilter:function(o,n,r){gform.removeHook("filter",o,n,r)},addHook:function(o,n,r,t,i){null==gform.hooks[o][n]&&(gform.hooks[o][n]=[]);var e=gform.hooks[o][n];null==i&&(i=n+"_"+e.length),gform.hooks[o][n].push({tag:i,callable:r,priority:t=null==t?10:t})},doHook:function(n,o,r){var t;if(r=Array.prototype.slice.call(r,1),null!=gform.hooks[n][o]&&((o=gform.hooks[n][o]).sort(function(o,n){return o.priority-n.priority}),o.forEach(function(o){"function"!=typeof(t=o.callable)&&(t=window[t]),"action"==n?t.apply(null,r):r[0]=t.apply(null,r)})),"filter"==n)return r[0]},removeHook:function(o,n,t,i){var r;null!=gform.hooks[o][n]&&(r=(r=gform.hooks[o][n]).filter(function(o,n,r){return!!(null!=i&&i!=o.tag||null!=t&&t!=o.priority)}),gform.hooks[o][n]=r)}});
</script>

    <!--FONTS-->
    <link href='https://fonts.googleapis.com/css?family=Josefin+Sans:400,300,600,300italic,700' rel='stylesheet'
          type='text/css'>
    <meta name="google-site-verification" content="G6q233FwOuOeyKaGcFPWldhy5m2LOD94vQsuBX1ArIk"/>
    <link rel="stylesheet" href="https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/themes/CFAD/gooverrides.css"/>


    <!-- Global site tag (gtag.js) - Google Analytics -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=UA-131676525-1"></script>

    <script>
        window.dataLayer = window.dataLayer || [];

        function gtag() {
            dataLayer.push(arguments);
        }

        gtag('js', new Date());

        gtag('config', 'UA-131676525-1');
    </script>

    
</head>
<body class="home page-template page-template-templates page-template-page-home page-template-templatespage-home-php page page-id-5 topbar wpb-js-composer js-comp-ver-4.12 vc_responsive">

<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-5TVC8R"
height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->

        
        <header id="masthead" class="site-header" role="banner">
            <div class="title-bar" data-responsive-toggle="site-navigation">
                <button class="menu-icon" type="button" data-toggle="offCanvas"></button>
                <div class="title-bar-title">
                    <a href="https://auburndental.com/" rel="home"><img
                                src="/wp-content/uploads/2016/01/cfad-logo.png" class="logo"/></a>
                </div>
            </div>

            <nav id="site-navigation" class="main-navigation top-bar row collapse" role="navigation">
                <div class="top-bar-left show-for-medium large-2 columns">
                    <ul class="menu">
                        <li class="home"><a href="https://auburndental.com/" rel="home"><img
                                        src="/wp-content/uploads/2016/01/cfad-logo.png" / class="logo"></a></li>
                    </ul>
                </div>
                <div class="top-bar-right large-10 columns">
                    <div class="float-right header-widgets">
                        <div class="widget-odd widget-first widget-1 medium-7 large-7 columns hci">			<div class="textwidget"><i class="fa fa-phone"></i>  <a href="tel:207-241-4429" class="phone">(207) 241-4429</a>
 <i class="fa fa-envelope"></i>  <a href="mailto:&#x61;&#x6e;&#x6e;&#x65;&#x40;&#x61;&#x75;&#x62;&#x75;&#x72;&#x6e;&#x64;&#x65;&#x6e;&#x74;&#x61;&#x6c;&#x2e;&#x63;&#x6f;&#x6d;">&#x69;&#x6e;&#x66;&#x6f;&#x40;<span class="oe_displaynone">null</span>&#x61;&#x75;&#x62;&#x75;&#x72;&#x6e;&#x64;&#x65;&#x6e;&#x74;&#x61;&#x6c;&#x2e;&#x63;&#x6f;&#x6d;</a></div>
		</div><div class="widget-even widget-last widget-2 medium-5 large-5 columns hci"><form role="search" method="get" id="searchform" action="https://auburndental.com/">
	<div class="row collapse">
				<div class="small-10 columns">
			<input type="text" value="" name="s" id="s" placeholder="Search">
		</div>
				<div class="small-2 columns">
			<input type="submit" id="searchsubmit" value="&#xf002;" class="prefix button fa">
		</div>
			</div>
</form>
</div>                    </div>

                    <ul id="menu-main-nav" class="dropdown menu show-for-medium" data-dropdown-menu><li id="menu-item-25" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-25"><a href="https://auburndental.com/new-patients/">New Patients</a></li>
<li id="menu-item-438" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-438"><a href="https://auburndental.com/dental-implants/">Dental Implants</a></li>
<li id="menu-item-300" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-300"><a href="https://auburndental.com/advanced-technology/">Advanced Technology</a></li>
<li id="menu-item-24" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-24"><a href="https://auburndental.com/sedation-dentistry/">Sedation Dentistry</a></li>
<li id="menu-item-23" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-23"><a href="https://auburndental.com/general-dentistry/">General Dentistry</a></li>
<li id="menu-item-22" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-22"><a href="https://auburndental.com/meet-the-team/">Meet the Doctors</a></li>
<li id="menu-item-26" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-has-children menu-item-26"><a href="https://auburndental.com/about/">About Us</a>
<ul class="dropdown menu vertical" data-dropdown-menu>
	<li id="menu-item-674" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-674"><a href="https://auburndental.com/testimonials/">Testimonials</a></li>
</ul>
</li>
</ul>
                                            
<nav class="vertical menu" role="navigation">
  <ul id="menu-mobile-menu" class="vertical menu show-for-small-only" data-accordion-menu><li id="menu-item-248" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-home current-menu-item page_item page-item-5 current_page_item menu-item-248 active"><a href="https://auburndental.com/" aria-current="page">Home</a></li>
<li id="menu-item-249" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-249"><a href="https://auburndental.com/about/">About Us</a></li>
<li id="menu-item-257" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-257"><a href="https://auburndental.com/new-patients/">New Patients</a></li>
<li id="menu-item-259" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-259"><a href="https://auburndental.com/sedation-dentistry/">Sedation Dentistry</a></li>
<li id="menu-item-254" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-254"><a href="https://auburndental.com/general-dentistry/">General Dentistry</a></li>
<li id="menu-item-256" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-256"><a href="https://auburndental.com/meet-the-team/">Meet the Doctors</a></li>
<li id="menu-item-251" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-251"><a href="https://auburndental.com/contact-us/">Contact</a></li>
<li id="menu-item-255" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-255"><a href="https://auburndental.com/make-an-appointment/">Make An Appointment</a></li>
<li id="menu-item-258" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-258"><a href="https://auburndental.com/patient-financing/">Patient Financing</a></li>
<li id="menu-item-261" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-261"><a href="https://auburndental.com/testimonials/">Client Testimonials</a></li>
<li id="menu-item-250" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-250"><a href="https://auburndental.com/advanced-technology/">Advanced Technology</a></li>
<li id="menu-item-253" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-253"><a href="https://auburndental.com/faqs/">FAQs</a></li>
<li id="menu-item-262" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-262"><a href="https://auburndental.com/why-choose-us/">Why Choose Us</a></li>
<li id="menu-item-675" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-675"><a href="https://auburndental.com/testimonials/">Testimonials</a></li>
</ul></nav>
                                    </div>
            </nav>
            <script type="application/ld+json">
                {
                    "@context": "https://schema.org",
                    "@type": "Dentist",
                    "name": "The Center for Advanced Dentistry",
                    "image": "https://auburndental.com/wp-content/uploads/2016/01/cfad-logo.png",
                    "@id": "",
                    "url": "https://auburndental.com/",
                    "telephone": "207-241-4429",
                    "openingHours": "Monday: 7am-5pm | Tuesday: 7am-4pm | Wednesday: 7am-3pm | Thursday: 7am-4pm | Friday: 7am-12pm | Saturday & Sunday: Closed",
                    "address": {
                        "@type": "PostalAddress",
                        "streetAddress": "26 Cross Street",
                        "addressLocality": "Auburn",
                        "addressRegion": "ME",
                        "postalCode": "04210",
                        "addressCountry": "US"
                    },
                    "geo": {
                        "@type": "GeoCoordinates",
                        "latitude": 44.1101717,
                        "longitude": -70.22388819999999
                    },
                    "sameAs": [
                        "https://www.facebook.com/AuburnCenterForAdvancedDentistry",
                        "https://twitter.com/auburndentalme"
                    ]
                }
            </script>


            <script async referrerpolicy="no-referrer-when-downgrade"
                    src='https://tag.simpli.fi/sifitag/9d3f12e0-a1a1-013a-c84b-06a60fe5fe77'></script>
        </header>


        <div class="full-w-blue">
            <div id="page-full-width" class="banner-nav main-content">
                <div class="ban-text small-12 medium-6 large-9 columns no-padding">
                    <span>Our Current Covid-19 Protocol</span>
                </div>
                <div class="ban-link small-12 medium-6 large-3 columns no-padding">
                    <a href="/our-current-covid-19-protocol">Learn More</a>
                </div>
            </div>
        </div>


        <section class="container">
            
<div class="small-12 medium-12 large-9 columns no-padding">
  <div id="new-royalslider-1" class="royalSlider new-royalslider-1 rsUni rs-default-template" style="width:100%;height:500px;;">
<div class="rsContent">
  <img class="rsImg" src="https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/uploads/2016/02/family-slide-1024x685.png" alt="home (1)"/>
  
  
  <div class="rsSBlock ui-draggable-handle slide-block" style="width: 461px; height: 324px; left: auto; top: 59px; right: 10px;"><div class="slide-text">
  <img class="rsABImage" src="/wp-content/uploads/2016/08/slider-logo-shadow-1.png">
  <a href="/contact" class="button-primary">Contact Us</a>
</div></div>
</div>
<div class="rsContent">
  <img class="rsImg" src="https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/uploads/2016/02/middle-age-slider-1024x685.png" alt="home (1)"/>
  
  
  <div class="rsSBlock ui-draggable-handle slide-block" style="width: 461px; height: 324px; left: auto; top: 59px; right: 10px;"><div class="slide-text">
  <img class="rsABImage" src="/wp-content/uploads/2016/08/slider-logo-shadow-1.png">
  <a href="/contact" class="button-primary">Contact Us</a>
</div></div>
</div>
<div class="rsContent">
  <img class="rsImg" src="https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/uploads/2016/02/smiling-kids-1024x685.png" alt="home (1)"/>
  
  
  <div class="rsSBlock ui-draggable-handle slide-block" style="width: 461px; height: 324px; left: auto; top: 59px; right: 10px;"><div class="slide-text">
  <img class="rsABImage" src="/wp-content/uploads/2016/08/slider-logo-shadow-1.png">
  <a href="/contact" class="button-primary">Contact Us</a>
</div></div>
</div>
<div class="rsContent">
  <img class="rsImg" src="https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/uploads/2016/02/older-couple-1024x685.png" alt="home (1)"/>
  
  
  <div class="rsSBlock ui-draggable-handle slide-block" style="width: 302px; height: 400px; left: auto; top: 47px; right: 20px; bottom: auto;"><div class="slide-text">
  <a href="/advanced-technology"><img class="rsABImage" src="/wp-content/uploads/2016/08/PinholeLogo-High-Resolution-2.png"></a>
</div></div>
</div>

</div>
</div>

<div class="small-12 medium-12 large-3 columns no-padding">
  <div class="menu-home-side-menu-container"><ul id="menu-home-side-menu" class="side-nav"><li id="menu-item-62" class="make-an-appt menu-item menu-item-type-post_type menu-item-object-page menu-item-62"><a href="https://auburndental.com/make-an-appointment/"><img width="49" height="61" src="https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/uploads/2016/01/makeappt-icon.png" class="_mi _before _image" alt="clip board icon" loading="lazy" aria-hidden="true" /><span>Make An Appointment</span></a></li>
<li id="menu-item-308" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-308"><a href="https://auburndental.com/advanced-technology/"><span class='new'>NEW!</span> Pinhole Surgical Technique</a></li>
<li id="menu-item-60" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-60"><a href="https://auburndental.com/patient-financing/"><img width="54" height="45" src="https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/uploads/2016/01/patient.png" class="_mi _before _image" alt="tooth icon" loading="lazy" aria-hidden="true" /><span>Patient Financing</span></a></li>
<li id="menu-item-212" class="last menu-item menu-item-type-post_type menu-item-object-page menu-item-212"><a href="https://auburndental.com/testimonials/"><img width="56" height="41" src="https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/uploads/2016/01/Vector-Smart-Object-11.png" class="_mi _before _image" alt="patient in chair icon" loading="lazy" aria-hidden="true" /><span>Client Testimonials</span></a></li>
</ul></div></div>

<div id="page-full-width" role="main">

  <article class="main-content post-5 page type-page status-publish hentry wp-sticky" id="post-5">

            <div class="entry-content">
          <div data-vc-full-width="true" data-vc-full-width-init="false" class="vc_row wpb_row vc_row-fluid vc_custom_1452721606342 vc_row-has-fill"><div class="wpb_column vc_column_container vc_col-sm-12"><div class="vc_column-inner "><div class="wpb_wrapper">
	<div class="wpb_text_column wpb_content_element  home-cta">
		<div class="wpb_wrapper">
			<h1 style="text-align: center;">Comprehensive Dental Services<br />
for the Auburn, Lewiston, Turner &amp; Freeport, ME Areas</h1>

		</div>
	</div>
<div class="vc_row wpb_row vc_inner vc_row-fluid services"><div class="wpb_column vc_column_container vc_col-sm-4"><div class="vc_column-inner "><div class="wpb_wrapper">
	<div class="wpb_single_image wpb_content_element vc_align_center  vc_custom_1456420559466">
		
		<figure class="wpb_wrapper vc_figure">
			<a href="/make-an-appointment/" target="_self" class="vc_single_image-wrapper   vc_box_border_grey"><img width="336" height="254" src="https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/uploads/2016/01/ThinkstockPhotos-164144314.png" class="vc_single_image-img attachment-full" alt="Teeth being examined" loading="lazy" srcset="https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/uploads/2016/01/ThinkstockPhotos-164144314.png 336w, https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/uploads/2016/01/ThinkstockPhotos-164144314-300x227.png 300w" sizes="(max-width: 336px) 100vw, 336px" /></a>
		</figure>
	</div>

	<div class="wpb_text_column wpb_content_element ">
		<div class="wpb_wrapper">
			<p>Center For Advanced Dentistry offers all-on-four dental implants, sedation dentistry, and routine dental care for Auburn, ME. Contact us today to schedule your next appointment</p>

		</div>
	</div>
</div></div></div><div class="wpb_column vc_column_container vc_col-sm-4"><div class="vc_column-inner "><div class="wpb_wrapper">
	<div class="wpb_single_image wpb_content_element vc_align_center  vc_custom_1456420589131">
		
		<figure class="wpb_wrapper vc_figure">
			<a href="/make-an-appointment/" target="_self" class="vc_single_image-wrapper   vc_box_border_grey"><img width="336" height="254" src="https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/uploads/2016/01/ThinkstockPhotos-480473640.png" class="vc_single_image-img attachment-full" alt="Smiling family" loading="lazy" srcset="https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/uploads/2016/01/ThinkstockPhotos-480473640.png 336w, https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/uploads/2016/01/ThinkstockPhotos-480473640-300x227.png 300w" sizes="(max-width: 336px) 100vw, 336px" /></a>
		</figure>
	</div>

	<div class="wpb_text_column wpb_content_element ">
		<div class="wpb_wrapper">
			<p>Schedule an appointment with our family dentist today!</p>

		</div>
	</div>
</div></div></div><div class="wpb_column vc_column_container vc_col-sm-4"><div class="vc_column-inner "><div class="wpb_wrapper">
	<div class="wpb_single_image wpb_content_element vc_align_center  vc_custom_1456420597314">
		
		<figure class="wpb_wrapper vc_figure">
			<a href="/make-an-appointment/" target="_self" class="vc_single_image-wrapper   vc_box_border_grey"><img width="336" height="254" src="https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/uploads/2016/01/ThinkstockPhotos-536054701.png" class="vc_single_image-img attachment-full" alt="Dental Implants" loading="lazy" srcset="https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/uploads/2016/01/ThinkstockPhotos-536054701.png 336w, https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/uploads/2016/01/ThinkstockPhotos-536054701-300x227.png 300w" sizes="(max-width: 336px) 100vw, 336px" /></a>
		</figure>
	</div>

	<div class="wpb_text_column wpb_content_element ">
		<div class="wpb_wrapper">
			<p>If you are looking for dental crowns or partial dentures, our dental office offers all the latest in dental technology to give you that perfect smile</p>

		</div>
	</div>
</div></div></div></div></div></div></div><div class="wpb_column vc_column_container vc_col-sm-12"><div class="vc_column-inner "><div class="wpb_wrapper"></div></div></div></div><div class="vc_row-full-width vc_clearfix"></div><div class="vc_row wpb_row vc_row-fluid about"><div class="wpb_column vc_column_container vc_col-sm-7"><div class="vc_column-inner "><div class="wpb_wrapper">
	<div class="wpb_text_column wpb_content_element ">
		<div class="wpb_wrapper">
			<h2>Your Source of General, Cosmetic, and Restorative Dentistry Services</h2>
<p>If you have experienced loss of teeth, chronic tooth pain, and a lack of self-confidence due to any number of reasons with your smile, the Center for Advanced Dentistry can help. Our team of family, <a href="https://auburndental.com/general-dentistry/">general</a>, and <a href="https://auburndental.com/cosmetic-dentistry/">cosmetic</a> dentists specialize in a range of dental services that not only aims to improve the way you smile but also alleviate oral pains you may experience on a daily basis. As part of our dental services, we offer All-On-Four <a href="https://auburndental.com/dental-implants/">dental implants</a>, <a href="https://auburndental.com/teeth-whitening/">teeth whitening</a>, dental crowns, partial and permanent dentures, tooth fillings, emergency dentistry, dental veneers and periodontal disease treatment to handle all your oral care needs. In an effort to make you as comfortable as possible, we also offer <a href="https://auburndental.com/sedation-dentistry/">IV sedation dentistry</a> during your appointment to help you feel relaxed towards better oral health.</p>
<p><a href="https://auburndental.com/make-an-appointment/">Contact</a> our dental office today to learn more about our services or to schedule an appointment! We&#8217;re proud to serve individuals and families throughout Auburn, Lewiston, Turner, <a href="https://auburndental.com/freeport-me/">Freeport, ME</a> and the surrounding areas.</p>

		</div>
	</div>
</div></div></div><div class="wpb_column vc_column_container vc_col-sm-5"><div class="vc_column-inner vc_custom_1452793397463"><div class="wpb_wrapper">
	<div class="wpb_video_widget wpb_content_element vc_clearfix   vc_video-aspect-ratio-169 vc_video-el-width-100 vc_video-align-center">
		<div class="wpb_wrapper">
			
			<div class="wpb_video_wrapper"><iframe width="500" height="281" src="https://www.youtube.com/embed/3jvLo4iyrqY?feature=oembed&enablejsapi=1&origin=https://auburndental.com" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe></div>
		</div>
	</div>
</div></div></div></div><div data-vc-full-width="true" data-vc-full-width-init="false" class="vc_row wpb_row vc_row-fluid patient-services vc_custom_1474906792872 vc_row-has-fill"><div class="wpb_column vc_column_container vc_col-sm-12"><div class="vc_column-inner "><div class="wpb_wrapper">
	<div class="wpb_text_column wpb_content_element ">
		<div class="wpb_wrapper">
			<h2>Dental Services:</h2>
<p><strong>Same Day Dentures-</strong> In some cases, dentures may be the best solution. Instead of being inconvenienced by living without teeth while your dentures are created, which could take up to a couple of weeks, same day dentures are an option. These dentures are inserted immediately after the teeth are removed which allows patients to begin learning to eat and speak with your new teeth. Walk out of our office with confidence!</p>

		</div>
	</div>
<div class="vc_row wpb_row vc_inner vc_row-fluid"><div class="wpb_column vc_column_container vc_col-sm-6"><div class="vc_column-inner "><div class="wpb_wrapper">
	<div class="wpb_text_column wpb_content_element ">
		<div class="wpb_wrapper">
			<p><strong>Gum Recession Treatment-</strong> Due to periodontal disease, aging, or brushing habits, you may lose gum tissue along the gumline, known as gum recession. The root of the tooth may become exposed which could lead to tooth decay and other problems. We offer treatment options to help prevent further problems.</p>

		</div>
	</div>
</div></div></div><div class="wpb_column vc_column_container vc_col-sm-6"><div class="vc_column-inner "><div class="wpb_wrapper">
	<div class="wpb_text_column wpb_content_element ">
		<div class="wpb_wrapper">
			<p><strong>Cosmetic and General Dentistry-</strong> We offer a variety of cosmetic and general dentistry services to help maintain your family&#8217;s oral health. We strive to help you keep your mouth and teeth healthy with cleanings and other services. If you are unhappy with your smile, let us know and we can discuss options to fix your teeth.</p>

		</div>
	</div>
</div></div></div></div></div></div></div></div><div class="vc_row-full-width vc_clearfix"></div><div data-vc-full-width="true" data-vc-full-width-init="false" data-vc-stretch-content="true" class="vc_row wpb_row vc_row-fluid faqs vc_row-o-equal-height vc_row-flex"><div class="wpb_column vc_column_container vc_col-sm-4 vc_col-has-fill"><div class="vc_column-inner vc_custom_1474906811736"><div class="wpb_wrapper"></div></div></div><div class="wpb_column vc_column_container vc_col-sm-8"><div class="vc_column-inner vc_custom_1452548640147"><div class="wpb_wrapper">
	<div class="wpb_text_column wpb_content_element ">
		<div class="wpb_wrapper">
			<p>If you have a question about any of the dental procedures we offer, please contact us today. We are happy to address all of your concerns before your next appointment</p>

		</div>
	</div>
<div class="vc_row wpb_row vc_inner vc_row-fluid"><div class="wpb_column vc_column_container vc_col-sm-9"><div class="vc_column-inner "><div class="wpb_wrapper">
                <div class='gf_browser_chrome gform_wrapper gform_legacy_markup_wrapper gform-theme--no-framework' data-form-theme='legacy' data-form-index='0' id='gform_wrapper_1' ><div id='gf_1' class='gform_anchor' tabindex='-1'></div><form method='post' enctype='multipart/form-data' target='gform_ajax_frame_1' id='gform_1'  action='/#gf_1' data-formid='1' novalidate> 
 <input type='hidden' class='gforms-pum' value='{"closepopup":false,"closedelay":0,"openpopup":false,"openpopup_id":0}' />
                        <div class='gform-body gform_body'><ul id='gform_fields_1' class='gform_fields top_label form_sublabel_below description_below'><li id="field_1_1" class="gfield gfield--type-text gfield_contains_required field_sublabel_below gfield--no-description field_description_below gfield_visibility_visible"  data-js-reload="field_1_1" ><label class='gfield_label gform-field-label' for='input_1_1'>Have a question? Ask it here.<span class="gfield_required"><span class="gfield_required gfield_required_asterisk">*</span></span></label><div class='ginput_container ginput_container_text'><input name='input_1' id='input_1_1' type='text' value='' class='large'    placeholder='Have a question? Ask it here.' aria-required="true" aria-invalid="false"   /> </div></li></ul></div>
        <div class='gform_footer top_label'> <input type='submit' id='gform_submit_button_1' class='gform_button button' value='Submit'  onclick='if(window["gf_submitting_1"]){return false;}  if( !jQuery("#gform_1")[0].checkValidity || jQuery("#gform_1")[0].checkValidity()){window["gf_submitting_1"]=true;}  ' onkeypress='if( event.keyCode == 13 ){ if(window["gf_submitting_1"]){return false;} if( !jQuery("#gform_1")[0].checkValidity || jQuery("#gform_1")[0].checkValidity()){window["gf_submitting_1"]=true;}  jQuery("#gform_1").trigger("submit",[true]); }' /> <input type='hidden' name='gform_ajax' value='form_id=1&amp;title=&amp;description=&amp;tabindex=0&amp;theme=data-form-theme=&#039;legacy&#039;' />
            <input type='hidden' class='gform_hidden' name='is_submit_1' value='1' />
            <input type='hidden' class='gform_hidden' name='gform_submit' value='1' />
            
            <input type='hidden' class='gform_hidden' name='gform_unique_id' value='' />
            <input type='hidden' class='gform_hidden' name='state_1' value='WyJbXSIsIjI3OWY5N2M1NDUzZDI1MjA0ZWI5YjVmNDk1Y2JjODM2Il0=' />
            <input type='hidden' class='gform_hidden' name='gform_target_page_number_1' id='gform_target_page_number_1' value='0' />
            <input type='hidden' class='gform_hidden' name='gform_source_page_number_1' id='gform_source_page_number_1' value='1' />
            <input type='hidden' name='gform_field_values' value='' />
            
        </div>
                        </form>
                        </div>
		                <iframe style='display:none;width:0px;height:0px;' src='about:blank' name='gform_ajax_frame_1' id='gform_ajax_frame_1' title='This iframe contains the logic required to handle Ajax powered Gravity Forms.'></iframe>
		                <script type="text/javascript">
gform.initializeOnLoaded( function() {gformInitSpinner( 1, 'https://auburndental.com/wp-content/plugins/gravityforms/images/spinner.svg', true );jQuery('#gform_ajax_frame_1').on('load',function(){var contents = jQuery(this).contents().find('*').html();var is_postback = contents.indexOf('GF_AJAX_POSTBACK') >= 0;if(!is_postback){return;}var form_content = jQuery(this).contents().find('#gform_wrapper_1');var is_confirmation = jQuery(this).contents().find('#gform_confirmation_wrapper_1').length > 0;var is_redirect = contents.indexOf('gformRedirect(){') >= 0;var is_form = form_content.length > 0 && ! is_redirect && ! is_confirmation;var mt = parseInt(jQuery('html').css('margin-top'), 10) + parseInt(jQuery('body').css('margin-top'), 10) + 100;if(is_form){jQuery('#gform_wrapper_1').html(form_content.html());if(form_content.hasClass('gform_validation_error')){jQuery('#gform_wrapper_1').addClass('gform_validation_error');} else {jQuery('#gform_wrapper_1').removeClass('gform_validation_error');}setTimeout( function() { /* delay the scroll by 50 milliseconds to fix a bug in chrome */ jQuery(document).scrollTop(jQuery('#gform_wrapper_1').offset().top - mt); }, 50 );if(window['gformInitDatepicker']) {gformInitDatepicker();}if(window['gformInitPriceFields']) {gformInitPriceFields();}var current_page = jQuery('#gform_source_page_number_1').val();gformInitSpinner( 1, 'https://auburndental.com/wp-content/plugins/gravityforms/images/spinner.svg', true );jQuery(document).trigger('gform_page_loaded', [1, current_page]);window['gf_submitting_1'] = false;}else if(!is_redirect){var confirmation_content = jQuery(this).contents().find('.GF_AJAX_POSTBACK').html();if(!confirmation_content){confirmation_content = contents;}setTimeout(function(){jQuery('#gform_wrapper_1').replaceWith(confirmation_content);jQuery(document).scrollTop(jQuery('#gf_1').offset().top - mt);jQuery(document).trigger('gform_confirmation_loaded', [1]);window['gf_submitting_1'] = false;wp.a11y.speak(jQuery('#gform_confirmation_message_1').text());}, 50);}else{jQuery('#gform_1').append(contents);if(window['gformRedirect']) {gformRedirect();}}jQuery(document).trigger('gform_post_render', [1, current_page]);gform.utils.trigger({ event: 'gform/postRender', native: false, data: { formId: 1, currentPage: current_page } });} );} );
</script>
</div></div></div></div></div></div></div></div><div class="vc_row-full-width vc_clearfix"></div><div class="vc_row wpb_row vc_row-fluid"><div class="wpb_column vc_column_container vc_col-sm-12"><div class="vc_column-inner "><div class="wpb_wrapper"></div></div></div></div><div class="vc_row wpb_row vc_row-fluid"><div class="wpb_column vc_column_container vc_col-sm-12"><div class="vc_column-inner "><div class="wpb_wrapper"></div></div></div></div><div class="vc_row wpb_row vc_row-fluid"><div class="wpb_column vc_column_container vc_col-sm-12"><div class="vc_column-inner "><div class="wpb_wrapper">
	<div class="wpb_text_column wpb_content_element ">
		<div class="wpb_wrapper">
			<h2 style="text-align: center;">Benefits of Tooth Fillings</h2>
<p style="text-align: center;">At the Center for Advanced Dentistry, we strive to alleviate any oral pain that you may be having. We understand that tooth pain can hit at any time which is why we strive to offer the best solution for you. This may include tooth fillings, a crucial procedure in maintaining oral health and preventing further dental complications. The procedure restores the structural integrity of a tooth that has been damaged and prevents further deterioration.</p>
<p style="text-align: center;">Tooth fillings help alleviate tooth sensitivity and discomfort. Since cavities expose sensitive inner layers of the tooth, you may experience pain when drinking hot or cold liquids or snacking on sweet treats. Our family dentist can help seal off the exposed nerve endings to reduce sensitivity and improve your quality of life.</p>
<p style="text-align: center;">By choosing to get your teeth filled, you can maintain proper oral hygiene, prevent the spread of decay, and reduce the risk of further infections. If you are experiencing sensitivity or tooth pain, contact our office to schedule an appointment and let our team help in the Auburn, <a href="https://auburndental.com/lewiston-me/">Lewiston</a>, Turner, and Freeport, ME areas.</p>

		</div>
	</div>
</div></div></div></div><div class="vc_row wpb_row vc_row-fluid"><div class="wpb_column vc_column_container vc_col-sm-12"><div class="vc_column-inner "><div class="wpb_wrapper">
	<div class="wpb_text_column wpb_content_element  vc_custom_1558373086197">
		<div class="wpb_wrapper">
			<h2 style="text-align: center;">Review Us!</h2>
<p style="text-align: center;">Please take a moment to check out the reviews from our satisfied customers. Check out our Facebook and Google review pages below. We can&#8217;t wait to help you and provide you with the treatments to improve your dental health. If you would like to schedule an appointment, please call our dental office today. Remember, we are a family dentist that can provide for people of all ages!</p>

		</div>
	</div>
<div class="vc_btn3-container vc_btn3-center"><a class="vc_general vc_btn3 vc_btn3-size-md vc_btn3-shape-rounded vc_btn3-style-modern vc_btn3-color-grey" href="https://www.google.com/search?q=the+center+for+advanced+dentistry%2C+auburn&rlz=1C1GCEU_enUS821US821&oq=the+center+for+advanced+dentistry%2C+auburn&aqs=chrome.0.69i59j35i39j0j69i64.2399j0j7&sourceid=chrome&ie=UTF-8#lrd=0x4cb26bda61edd61b:0x4f6bd1911ae21b3c,1,,," title="">Google Reviews</a></div>
<div class="vc_btn3-container vc_btn3-center"><a class="vc_general vc_btn3 vc_btn3-size-md vc_btn3-shape-rounded vc_btn3-style-modern vc_btn3-color-grey" href="https://www.facebook.com/pg/AuburnCenterForAdvancedDentistry/reviews/?ref=page_internal" title="">Facebook Reviews</a></div>
</div></div></div></div>      </div>

  </article>


</div>


		</section>
		<div id="footer-container">
			<footer id="footer">
								<article id="text-3" class="widget-odd widget-first widget-1 footer-menus large-4 columns widget widget_text">			<div class="textwidget"><div class="large-5 columns">
<div class="menu-footer-menu-left-container"><ul id="menu-footer-menu-left" class="menu"><li id="menu-item-33" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-home current-menu-item page_item page-item-5 current_page_item menu-item-33 active"><a href="https://auburndental.com/" aria-current="page">Home</a></li>
<li id="menu-item-32" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-32"><a href="https://auburndental.com/new-patients/">New Patients</a></li>
<li id="menu-item-31" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-31"><a href="https://auburndental.com/sedation-dentistry/">Sedation Dentistry</a></li>
<li id="menu-item-30" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-30"><a href="https://auburndental.com/general-dentistry/">General Dentistry</a></li>
<li id="menu-item-29" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-29"><a href="https://auburndental.com/meet-the-team/">Meet the Doctors</a></li>
<li id="menu-item-48" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-48"><a href="https://auburndental.com/why-choose-us/">Why Choose Us</a></li>
</ul></div></div>
<div class="large-5 columns float-left">
<div class="menu-footer-menu-right-container"><ul id="menu-footer-menu-right" class="menu"><li id="menu-item-52" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-52"><a href="https://auburndental.com/blog/">Blog/Recent News</a></li>
<li id="menu-item-263" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-263"><a href="https://auburndental.com/testimonials/">Success Stories</a></li>
<li id="menu-item-54" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-54"><a href="https://auburndental.com/make-an-appointment/">Make An Appointment</a></li>
<li id="menu-item-50" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-50"><a href="https://auburndental.com/advanced-technology/">Advanced Technology</a></li>
<li id="menu-item-49" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-49"><a href="https://auburndental.com/patient-financing/">Patient Financing</a></li>
<li id="menu-item-676" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-676"><a href="https://auburndental.com/testimonials/">Testimonials</a></li>
</ul></div></div></div>
		</article><article id="text-4" class="widget-even widget-2 contact-info large-4 columns widget widget_text">			<div class="textwidget"><h4>The Center for Advanced Dentistry</h4>
26 Cross Street Auburn, ME 04210<br>
Phone: <a href="tel:207-241-4429" class="phone">(207) 241-4429</a>

<ul>
	<li><a href="https://www.facebook.com/AuburnCenterForAdvancedDentistry" target="_blank" rel="noopener"><i class="fa fa-facebook"></i></a></li>
	<li><a href="https://twitter.com/auburndentalme" target="_blank" rel="noopener"><i class="fa fa-twitter"></i></a></li>
	<li><a href="https://plus.google.com/103419106188566926619/about" target="_blank" rel="noopener"><i class="fa fa-google-plus"></i></a></li>
	<li><a href="mailto:&#x61;&#x6e;&#x6e;&#x65;&#x40;&#x61;&#x75;&#x62;&#x75;&#x72;&#x6e;&#x64;&#x65;&#x6e;&#x74;&#x61;&#x6c;&#x2e;&#x63;&#x6f;&#x6d;"><i class="fa fa-envelope"></i></a></li>
</ul></div>
		</article><article id="text-5" class="widget-odd widget-last widget-3 large-4 columns widget widget_text">			<div class="textwidget"><h4>Privacy Policy and <a href="/terms-of-use/">Terms of Use</a></h4>
© 2016, The Center for Advanced Dentistry.<br/> 
All Rights Reserved.</div>
		</article>							</footer>
		</div>

		


<script type='text/javascript' src='https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/themes/CFAD/assets/javascript/foundation.js?ver=2.3.0' id='foundation-js'></script>
<script type='text/javascript' src='https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-includes/js/dist/vendor/regenerator-runtime.min.js?ver=0.13.7' id='regenerator-runtime-js'></script>
<script type='text/javascript' src='https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-includes/js/dist/vendor/wp-polyfill.min.js?ver=3.15.0' id='wp-polyfill-js'></script>
<script type='text/javascript' src='https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-includes/js/dist/dom-ready.min.js?ver=71883072590656bf22c74c7b887df3dd' id='wp-dom-ready-js'></script>
<script type='text/javascript' src='https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-includes/js/dist/hooks.min.js?ver=a7edae857aab69d69fa10d5aef23a5de' id='wp-hooks-js'></script>
<script type='text/javascript' src='https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-includes/js/dist/i18n.min.js?ver=5f1269854226b4dd90450db411a12b79' id='wp-i18n-js'></script>
<script type='text/javascript' id='wp-i18n-js-after'>
wp.i18n.setLocaleData( { 'text direction\u0004ltr': [ 'ltr' ] } );
</script>
<script type='text/javascript' id='wp-a11y-js-translations'>
( function( domain, translations ) {
	var localeData = translations.locale_data[ domain ] || translations.locale_data.messages;
	localeData[""].domain = domain;
	wp.i18n.setLocaleData( localeData, domain );
} )( "default", { "locale_data": { "messages": { "": {} } } } );
</script>
<script type='text/javascript' src='https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-includes/js/dist/a11y.min.js?ver=0ac8327cc1c40dcfdf29716affd7ac63' id='wp-a11y-js'></script>
<script type='text/javascript' defer='defer' src='https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/plugins/gravityforms/js/placeholders.jquery.min.js?ver=2.8.0' id='gform_placeholder-js'></script>
<script type='text/javascript' defer='defer' src='https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/plugins/gravityforms/assets/js/dist/vendor-theme.min.js?ver=4ef53fe41c14a48b294541d9fc37387e' id='gform_gravityforms_theme_vendors-js'></script>
<script type='text/javascript' id='gform_gravityforms_theme-js-extra'>
/* <![CDATA[ */
var gform_theme_config = {"common":{"form":{"honeypot":{"version_hash":"6b82800f1c28b54116c3df372785c676"}}},"hmr_dev":"","public_path":"https:\/\/auburndental.com\/wp-content\/plugins\/gravityforms\/assets\/js\/dist\/"};
/* ]]> */
</script>
<script type='text/javascript' defer='defer' src='https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/plugins/gravityforms/assets/js/dist/scripts-theme.min.js?ver=f4d12a887a23a8c5755fd2b956bc8fcf' id='gform_gravityforms_theme-js'></script>
<script type='text/javascript' src='https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-includes/js/wp-embed.min.js?ver=5.8.9' id='wp-embed-js'></script>
<script type='text/javascript' src='https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/plugins/js_composer/assets/js/dist/js_composer_front.min.js?ver=4.12' id='wpb_composer_front_js-js'></script>
<script type='text/javascript' src='https://center-for-advanced-dentistry-v1698364584.websitepro-cdn.com/wp-content/plugins/new-royalslider/lib/royalslider/jquery.royalslider.min.js?ver=3.3.0' id='new-royalslider-main-js-js'></script>
<script id="new-royalslider-init-code" type="text/javascript">
jQuery(document).ready(function($) {
	$('.new-royalslider-1').royalSlider({template:'default',image_generation:{imageWidth:'',imageHeight:'',thumbImageWidth:'',thumbImageHeight:''},thumbs:{thumbWidth:96,thumbHeight:72},autoPlay:{enabled:!0,delay:2500},video:{forceMaxVideoCoverResolution:'standard'},block:{moveOffset:20,speed:400,delay:200},width:'100%',height:'500px',imageScaleMode:'fill',controlNavigation:'none',loop:!0,sliderDrag:!1,sliderTouch:!1});
});
</script>
<script type="text/javascript">
gform.initializeOnLoaded( function() { jQuery(document).on('gform_post_render', function(event, formId, currentPage){if(formId == 1) {if(typeof Placeholders != 'undefined'){
                        Placeholders.enable();
                    }} } );jQuery(document).on('gform_post_conditional_logic', function(event, formId, fields, isInit){} ) } );
</script>
<script type="text/javascript">
gform.initializeOnLoaded( function() {jQuery(document).trigger('gform_post_render', [1, 1]);gform.utils.trigger({ event: 'gform/postRender', native: false, data: { formId: 1, currentPage: 1 } });} );
</script>


<!-- Piwik -->
<script type="text/javascript">
    var _paq = _paq || [];
    (function(){
      var u="https://localedge.piwik.pro/";
      _paq.push(["trackPageView"]);
      _paq.push(["enableLinkTracking"]);
      _paq.push(["setTrackerUrl", u+"ppms.php"]);
      _paq.push(["setSiteId", "a7489bc7-557f-4b9c-ae61-14b5aac91a63"]);
      var d=document, g=d.createElement('script'), s=d.getElementsByTagName('script')[0];
      g.type='text/javascript'; g.defer=true; g.async=true; g.src=u+'ppms.js'; s.parentNode.insertBefore(g,s);
    })();
</script>
<!-- End Piwik Code -->

<script src="https://static.localedge.com/common/javascript/formwatch-1.0.0.js"></script>
<script>
  jQuery(document).ready( function($) {
    $('form').formwatch({
      proAdAccountId: 420913,
      siteId: 1508
    });
  });
</script>

<!-- The site is up and running.  All Hail the IT Team! -->
</body>
</html>
